/*! 
    \file proto_singleton.h
    \brief Definition of the States-singleton Class
    
*/

#ifndef _STATE_H
#define _STATE_H

#include "base_object.h"

// FORWARD DEFINITION
class PNode;

//! A Singleton class, that handles some states about orxonox's objects
class State : public BaseObject {

 public:
  static State* getInstance(void);
  virtual ~State(void);

  void setCamera(const PNode* camera, const PNode* cameraTarget);
  const PNode* getCamera(void) const { return this->camera; };
  const PNode* getCameraTarget(void) const { return this->cameraTarget; };

 private:
  State(void);
  static State* singletonRef;

  const PNode* camera;
  const PNode* cameraTarget;
};

#endif /* _STATE_H */
